io.undertow.server.handlers.builder

## Class PredicatedHandlersParser

- java.lang.Object
- - io.undertow.server.handlers.builder.PredicatedHandlersParser

    public class PredicatedHandlersParser
    extends Object

Parser for the undertow-handlers.conf file.

This file has a line by line syntax, specifying predicate -> handler. If no predicate is specified then the line is assumed to just contain a handler.

Author:
  Stuart Douglas

### Nested Class Summary

Nested Classes
`static interface` `PredicatedHandlersParser.Node`

### Field Summary

Fields
`static String` `AND`
`static String` `ARROW`
`static String` `ELSE`
`static String` `FALSE`
`static String` `NOT`
`static String` `OR`
`static String` `TRUE`

### Constructor Summary

Constructors
Constructor and Description
`PredicatedHandlersParser()`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<PredicatedHandler>` `parse(File file, ClassLoader classLoader)`
`static List<PredicatedHandler>` `parse(InputStream inputStream, ClassLoader classLoader)`
`static List<PredicatedHandler>` `parse(Path file, ClassLoader classLoader)`
`static List<PredicatedHandler>` `parse(String contents, ClassLoader classLoader)`
`static HandlerWrapper` `parseHandler(String string, ClassLoader classLoader)`
`static Predicate` `parsePredicate(String string, ClassLoader classLoader)`
`static Deque<io.undertow.server.handlers.builder.PredicatedHandlersParser.Token>` `tokenize(String string)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ELSE

    public static final String ELSE

See Also:
  Constant Field Values

#### ARROW

    public static final String ARROW

See Also:
  Constant Field Values

#### NOT

    public static final String NOT

See Also:
  Constant Field Values

#### OR

    public static final String OR

See Also:
  Constant Field Values

#### AND

    public static final String AND

See Also:
  Constant Field Values

#### TRUE

    public static final String TRUE

See Also:
  Constant Field Values

#### FALSE

    public static final String FALSE

See Also:
  Constant Field Values

### Constructor Detail

#### PredicatedHandlersParser

    public PredicatedHandlersParser()

### Method Detail

#### parse

    public static List<PredicatedHandler> parse(File file,
                                                ClassLoader classLoader)

#### parse

    public static List<PredicatedHandler> parse(Path file,
                                                ClassLoader classLoader)

#### parse

    public static List<PredicatedHandler> parse(InputStream inputStream,
                                                ClassLoader classLoader)

#### parse

    public static List<PredicatedHandler> parse(String contents,
                                                ClassLoader classLoader)

#### parsePredicate

    public static Predicate parsePredicate(String string,
                                           ClassLoader classLoader)

#### parseHandler

    public static HandlerWrapper parseHandler(String string,
                                              ClassLoader classLoader)

#### tokenize

    public static Deque<io.undertow.server.handlers.builder.PredicatedHandlersParser.Token> tokenize(String string)